# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2010 Nexedi SA and Contributors. All Rights Reserved.
#                    Fabien Morin <fabien@nexedi.com>
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

from AccessControl import ClassSecurityInfo
from Products.ERP5Type import Permissions, PropertySheet
from Products.ERP5.Document.Resource import Resource

class SoftwareProduct(Resource):
    """
    """

    meta_type = 'ERP5 Software Product'
    portal_type = 'Software Product'
    add_permission = Permissions.AddPortalContent

    # Declarative security
    security = ClassSecurityInfo()
    security.declareObjectProtected(Permissions.AccessContentsInformation)

    # Declarative properties
    property_sheets = ( PropertySheet.TextDocument,
                        PropertySheet.Document,
                        PropertySheet.Version,
                        PropertySheet.Url,
                        PropertySheet.Data,
                        PropertySheet.Task,
                        PropertySheet.SoftwareProduct,
                      )
    # content_type property is also a method from PortalFolder, so we need a
    # valid type by default.
    content_type = ''

    security.declareProtected(Permissions.AccessContentsInformation,
                              'SearchableText')
    def SearchableText(self):
        """Text for full text search"""
        text_list = []
        for prop in ( self.getTitle(),
                      self.getDescription(),
                      self.getUrlString(),
                      ):
            if prop:
                text_list.append(str(prop))
        for subject in self.getSubjectList():
            text_list.append(str(subject))

        return ' '.join(text_list)
